/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the compatibility classes of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QGRID_H
#define QGRID_H

#include <qgridwidget.h>

class Q_COMPAT_EXPORT QGrid : public QGridWidget
{
    Q_OBJECT
public:
    QGrid(int n, QWidget* parent=0, const char* name=0, Qt::WFlags f=0)
        : QGridWidget(n,parent,name,f) {}
    QGrid(int n, Qt::Orientation orientation, QWidget* parent=0, const char* name=0, Qt::WFlags f=0)
        : QGridWidget(n,orientation, parent,name,f) {}
};

#endif
