HEADER_FILES = sql/qsqlform.h sql/qdataview.h sql/qsqlpropertymap.h sql/qeditorfactory.h sql/qdatabrowser.h sql/qsqlrecordinfo.h sql/qsqleditorfactory.h sql/qsqlselectcursor.h sql/qsqlfieldinfo.h sql/qsqlcursor.h sql/qdatatable.h text/q3textedit.h text/qmultilineedit.h text/qsimplerichtext.h text/qtextview.h text/q3textbrowser.h text/qstylesheet.h text/qsyntaxhighlighter.h dialogs/qtabdialog.h dialogs/qwizard.h dialogs/q3filedialog.h other/qdropsite.h other/qurloperator.h other/q3url.h other/qlocalfs.h other/qguardedptr.h other/qaccel.h other/qt_compat_pch.h other/qmimefactory.h other/qnetworkprotocol.h tools/qobjectdict.h tools/qptrdict.h tools/q3signal.h tools/qgvector.h tools/qptrlist.h tools/qsortedlist.h tools/qtl.h tools/qptrqueue.h tools/qdeepcopy.h tools/qvaluelist.h tools/qmemarray.h tools/qasciicache.h tools/qcstring.h tools/qvaluestack.h tools/q3cache.h tools/qvaluevector.h tools/qintdict.h tools/qptrstack.h tools/qptrcollection.h tools/qgdict.h tools/qasciidict.h tools/qglist.h tools/qptrvector.h tools/qgarray.h tools/qstrvec.h tools/qgcache.h tools/qstrlist.h tools/qshared.h tools/qintcache.h tools/qdict.h canvas/qcanvas.h itemviews/qlistbox.h itemviews/qiconview.h itemviews/qtable.h itemviews/q3listview.h network/qsocketdevice.h network/q3dns.h network/qsocket.h network/qserversocket.h widgets/q3frame.h widgets/qvbox.h widgets/q3groupbox.h widgets/q3datetimeedit.h widgets/qwidgetstack.h widgets/qrangecontrol.h widgets/q3buttongroup.h widgets/qpopupmenu.h widgets/q3toolbar.h widgets/qgridview.h widgets/q3action.h widgets/qbutton.h widgets/q3whatsthis.h widgets/q3header.h widgets/qscrollview.h widgets/q3mainwindow.h widgets/q3dockarea.h widgets/q3dockwindow.h widgets/qhbox.h widgets/qgrid.h ../../include/Qt3Compat/Qt3Compat 
CLASSES_COPY =  \
  $$quote("-$(INSTALL_FILE) "sql/qsqlform.h" "PREFIXPATH/QSqlForm"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qdataview.h" "PREFIXPATH/QDataView"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qsqlpropertymap.h" "PREFIXPATH/QSqlPropertyMap"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qeditorfactory.h" "PREFIXPATH/QEditorFactory"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qdatabrowser.h" "PREFIXPATH/QDataBrowser"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qsqlrecordinfo.h" "PREFIXPATH/QSqlFieldInfoList"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qsqlrecordinfo.h" "PREFIXPATH/QSqlRecordInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qsqleditorfactory.h" "PREFIXPATH/QSqlEditorFactory"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qsqlselectcursor.h" "PREFIXPATH/QSqlSelectCursor"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qsqlfieldinfo.h" "PREFIXPATH/QSqlFieldInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qsqlcursor.h" "PREFIXPATH/QSqlCursor"") \
  $$quote("\n\t-$(INSTALL_FILE) "sql/qdatatable.h" "PREFIXPATH/QDataTable"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/q3textedit.h" "PREFIXPATH/Q3TextEditOptimPrivate"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/q3textedit.h" "PREFIXPATH/Q3TextEdit"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/qmultilineedit.h" "PREFIXPATH/QMultiLineEdit"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/qsimplerichtext.h" "PREFIXPATH/QSimpleRichText"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/qtextview.h" "PREFIXPATH/QTextView"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/q3textbrowser.h" "PREFIXPATH/Q3TextBrowser"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/qstylesheet.h" "PREFIXPATH/QStyleSheetItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/qstylesheet.h" "PREFIXPATH/QStyleSheet"") \
  $$quote("\n\t-$(INSTALL_FILE) "text/qsyntaxhighlighter.h" "PREFIXPATH/QSyntaxHighlighter"") \
  $$quote("\n\t-$(INSTALL_FILE) "dialogs/qtabdialog.h" "PREFIXPATH/QTabDialog"") \
  $$quote("\n\t-$(INSTALL_FILE) "dialogs/qwizard.h" "PREFIXPATH/QWizard"") \
  $$quote("\n\t-$(INSTALL_FILE) "dialogs/q3filedialog.h" "PREFIXPATH/Q3FileIconProvider"") \
  $$quote("\n\t-$(INSTALL_FILE) "dialogs/q3filedialog.h" "PREFIXPATH/Q3FilePreview"") \
  $$quote("\n\t-$(INSTALL_FILE) "dialogs/q3filedialog.h" "PREFIXPATH/Q3FileDialog"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qdropsite.h" "PREFIXPATH/QDropSite"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qurloperator.h" "PREFIXPATH/QUrlOperator"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/q3url.h" "PREFIXPATH/Q3Url"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qlocalfs.h" "PREFIXPATH/QLocalFs"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qguardedptr.h" "PREFIXPATH/QGuardedPtr"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qaccel.h" "PREFIXPATH/QAccel"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qmimefactory.h" "PREFIXPATH/QMimeSourceFactory"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qnetworkprotocol.h" "PREFIXPATH/QNetworkProtocolFactoryBase"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qnetworkprotocol.h" "PREFIXPATH/QNetworkProtocolFactory"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qnetworkprotocol.h" "PREFIXPATH/QNetworkProtocol"") \
  $$quote("\n\t-$(INSTALL_FILE) "other/qnetworkprotocol.h" "PREFIXPATH/QNetworkOperation"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qobjectdict.h" "PREFIXPATH/QObjectDictionary"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qptrdict.h" "PREFIXPATH/QPtrDictIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/q3signal.h" "PREFIXPATH/Q3Signal"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgvector.h" "PREFIXPATH/QGVector"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qptrlist.h" "PREFIXPATH/QPtrListStdIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qptrlist.h" "PREFIXPATH/QPtrListIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qsortedlist.h" "PREFIXPATH/QSortedList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qdeepcopy.h" "PREFIXPATH/QDeepCopy"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvaluelist.h" "PREFIXPATH/QValueListIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvaluelist.h" "PREFIXPATH/QValueListConstIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvaluelist.h" "PREFIXPATH/QValueList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qmemarray.h" "PREFIXPATH/QMemArray"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qasciicache.h" "PREFIXPATH/QAsciiCache"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qasciicache.h" "PREFIXPATH/QAsciiCacheIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qcstring.h" "PREFIXPATH/QCString"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvaluestack.h" "PREFIXPATH/QValueStack"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/q3cache.h" "PREFIXPATH/Q3CacheIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvaluevector.h" "PREFIXPATH/QValueVector"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qintdict.h" "PREFIXPATH/QIntDictIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qptrcollection.h" "PREFIXPATH/QPtrCollection"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgdict.h" "PREFIXPATH/QBaseBucket"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgdict.h" "PREFIXPATH/QStringBucket"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgdict.h" "PREFIXPATH/QAsciiBucket"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgdict.h" "PREFIXPATH/QIntBucket"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgdict.h" "PREFIXPATH/QPtrBucket"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgdict.h" "PREFIXPATH/QGDict"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgdict.h" "PREFIXPATH/QGDictIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qasciidict.h" "PREFIXPATH/QAsciiDictIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qglist.h" "PREFIXPATH/QLNode"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qglist.h" "PREFIXPATH/QGList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qglist.h" "PREFIXPATH/QGListIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qglist.h" "PREFIXPATH/QGListStdIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgarray.h" "PREFIXPATH/QGArray"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstrvec.h" "PREFIXPATH/QStrVec"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstrvec.h" "PREFIXPATH/QStrIVec"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgcache.h" "PREFIXPATH/QGCache"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qgcache.h" "PREFIXPATH/QGCacheIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstrlist.h" "PREFIXPATH/QStrListIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstrlist.h" "PREFIXPATH/QStrListIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstrlist.h" "PREFIXPATH/QStrList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstrlist.h" "PREFIXPATH/QStrIList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qshared.h" "PREFIXPATH/QShared"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qintcache.h" "PREFIXPATH/QIntCache"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qintcache.h" "PREFIXPATH/QIntCacheIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qdict.h" "PREFIXPATH/QDictIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvas"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasView"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasPixmap"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasPixmapArray"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasSprite"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasPolygonalItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasRectangle"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasPolygon"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasSpline"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasLine"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasEllipse"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasText"") \
  $$quote("\n\t-$(INSTALL_FILE) "canvas/qcanvas.h" "PREFIXPATH/QCanvasItemList"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qlistbox.h" "PREFIXPATH/QListBox"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qlistbox.h" "PREFIXPATH/QListBoxItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qlistbox.h" "PREFIXPATH/QListBoxText"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qlistbox.h" "PREFIXPATH/QListBoxPixmap"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qiconview.h" "PREFIXPATH/QIconDragItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qiconview.h" "PREFIXPATH/QIconDrag"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qiconview.h" "PREFIXPATH/QIconViewItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qiconview.h" "PREFIXPATH/QIconView"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qtable.h" "PREFIXPATH/QTableSelection"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qtable.h" "PREFIXPATH/QTableItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qtable.h" "PREFIXPATH/QComboTableItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qtable.h" "PREFIXPATH/QCheckTableItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/qtable.h" "PREFIXPATH/QTable"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/q3listview.h" "PREFIXPATH/Q3ListViewItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/q3listview.h" "PREFIXPATH/Q3ListView"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/q3listview.h" "PREFIXPATH/QCheckListItem"") \
  $$quote("\n\t-$(INSTALL_FILE) "itemviews/q3listview.h" "PREFIXPATH/Q3ListViewItemIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "network/qsocketdevice.h" "PREFIXPATH/QSocketDevice"") \
  $$quote("\n\t-$(INSTALL_FILE) "network/q3dns.h" "PREFIXPATH/Q3Dns"") \
  $$quote("\n\t-$(INSTALL_FILE) "network/q3dns.h" "PREFIXPATH/Q3DnsSocket"") \
  $$quote("\n\t-$(INSTALL_FILE) "network/qsocket.h" "PREFIXPATH/QSocket"") \
  $$quote("\n\t-$(INSTALL_FILE) "network/qserversocket.h" "PREFIXPATH/QServerSocket"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3frame.h" "PREFIXPATH/Q3Frame"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qvbox.h" "PREFIXPATH/QVBox"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3groupbox.h" "PREFIXPATH/Q3GroupBox"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3datetimeedit.h" "PREFIXPATH/Q3DateTimeEditBase"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3datetimeedit.h" "PREFIXPATH/Q3DateEdit"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3datetimeedit.h" "PREFIXPATH/Q3TimeEdit"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3datetimeedit.h" "PREFIXPATH/Q3DateTimeEdit"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qwidgetstack.h" "PREFIXPATH/QWidgetStack"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qrangecontrol.h" "PREFIXPATH/QRangeControl"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qrangecontrol.h" "PREFIXPATH/QSpinWidget"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3buttongroup.h" "PREFIXPATH/Q3ButtonGroup"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3buttongroup.h" "PREFIXPATH/QVButtonGroup"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3buttongroup.h" "PREFIXPATH/QHButtonGroup"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qpopupmenu.h" "PREFIXPATH/QPopupMenu"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3toolbar.h" "PREFIXPATH/Q3ToolBar"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qgridview.h" "PREFIXPATH/QGridView"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3action.h" "PREFIXPATH/Q3Action"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3action.h" "PREFIXPATH/Q3ActionGroup"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qbutton.h" "PREFIXPATH/QButton"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3whatsthis.h" "PREFIXPATH/Q3WhatsThis"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3header.h" "PREFIXPATH/Q3Header"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qscrollview.h" "PREFIXPATH/QScrollView"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3mainwindow.h" "PREFIXPATH/Q3MainWindow"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3dockarea.h" "PREFIXPATH/Q3DockAreaLayout"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3dockarea.h" "PREFIXPATH/Q3DockArea"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/q3dockwindow.h" "PREFIXPATH/Q3DockWindow"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qhbox.h" "PREFIXPATH/QHBox"") \
  $$quote("\n\t-$(INSTALL_FILE) "widgets/qgrid.h" "PREFIXPATH/QGrid"")
