HEADER_FILES = io/qdatastream.h io/qhexdump.h io/qdebug.h io/qtextstream.h io/qtemporaryfile.h io/qiodevice.h io/qresource.h io/qbuffer.h io/qdir.h io/qurl.h io/qfileinfo.h io/qcoresettings.h io/qfile.h io/qfileengine.h tools/qcache.h tools/qlist.h tools/qpair.h tools/qstringlist.h tools/qstringmatcher.h tools/qlinkedlist.h tools/qbitarray.h tools/qcleanuphandler.h tools/qvector.h tools/qbytearraymatcher.h tools/qqueue.h tools/qbytearray.h tools/qalgorithms.h tools/qvarlengtharray.h tools/qshareddata.h tools/qiterator.h tools/qlocale.h tools/qstack.h tools/qmap.h tools/qdatetime.h tools/qstring.h tools/qregexp.h tools/qchar.h tools/qhash.h codecs/qtextcodecfactory.h codecs/qtextcodecplugin.h codecs/qjpunicode.h codecs/qtextcodec.h global/qconfig-large.h global/qconfig-dist.h global/qconfig-small.h global/qfeatures.h global/qglobal.h global/qt_pch.h global/qconfig-minimal.h global/qnamespace.h global/qconfig-medium.h kernel/qtranslator.h kernel/qsignal.h kernel/qeventloop.h kernel/qcoreapplication.h kernel/qprocess.h kernel/qsignalmapper.h kernel/qobjectcleanuphandler.h kernel/qbasictimer.h kernel/qsocketnotifier.h kernel/qobject.h kernel/qtimer.h kernel/qmetatype.h kernel/qcorevariant.h kernel/qpointer.h kernel/qmetaobject.h kernel/qcoreevent.h kernel/qobjectdefs.h plugin/qpluginloader.h plugin/quuid.h plugin/qlibrary.h plugin/qplugin.h plugin/qfactoryinterface.h thread/qsemaphore.h thread/qthreadstorage.h thread/qwaitcondition.h thread/qthread.h thread/qmutex.h thread/qatomic.h ../../include/QtCore/QtCore 
CLASSES_COPY =  \
  $$quote("-$(INSTALL_FILE) "io/qdatastream.h" "PREFIXPATH/QDataStream"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qhexdump.h" "PREFIXPATH/QHexDump"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qdebug.h" "PREFIXPATH/QDebug"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qdebug.h" "PREFIXPATH/QNoDebug"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qtextstream.h" "PREFIXPATH/QTextStream"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qtextstream.h" "PREFIXPATH/QTS"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qtextstream.h" "PREFIXPATH/QTextIStream"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qtextstream.h" "PREFIXPATH/QTextOStream"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qtextstream.h" "PREFIXPATH/QTSFUNC"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qtextstream.h" "PREFIXPATH/QTSManip"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qtemporaryfile.h" "PREFIXPATH/QTemporaryFile"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qiodevice.h" "PREFIXPATH/QIODevice"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qresource.h" "PREFIXPATH/QResource"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qresource.h" "PREFIXPATH/QMetaResource"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qbuffer.h" "PREFIXPATH/QBuffer"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qdir.h" "PREFIXPATH/QDir"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qurl.h" "PREFIXPATH/QUrl"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qfileinfo.h" "PREFIXPATH/QFileInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qfileinfo.h" "PREFIXPATH/QFileInfoList"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qcoresettings.h" "PREFIXPATH/QCoreSettings"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qfile.h" "PREFIXPATH/QFile"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qfileengine.h" "PREFIXPATH/QFileEngine"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qfileengine.h" "PREFIXPATH/QFileEngineHandler"") \
  $$quote("\n\t-$(INSTALL_FILE) "io/qfileengine.h" "PREFIXPATH/QFSFileEngine"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qcache.h" "PREFIXPATH/QCache"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qlist.h" "PREFIXPATH/QListData"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qlist.h" "PREFIXPATH/QList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qpair.h" "PREFIXPATH/QPair"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstringlist.h" "PREFIXPATH/QStringListIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstringlist.h" "PREFIXPATH/QStringListMutableIterator"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstringlist.h" "PREFIXPATH/QStringList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstringmatcher.h" "PREFIXPATH/QStringMatcher"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qlinkedlist.h" "PREFIXPATH/QLinkedListData"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qlinkedlist.h" "PREFIXPATH/QLinkedListNode"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qlinkedlist.h" "PREFIXPATH/QLinkedList"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qbitarray.h" "PREFIXPATH/QBitArray"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qbitarray.h" "PREFIXPATH/QBitRef"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qcleanuphandler.h" "PREFIXPATH/QCleanupHandler"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qcleanuphandler.h" "PREFIXPATH/QSingleCleanupHandler"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qcleanuphandler.h" "PREFIXPATH/QSharedCleanupHandler"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvector.h" "PREFIXPATH/QVectorData"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvector.h" "PREFIXPATH/QVectorTypedData"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvector.h" "PREFIXPATH/QVector"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qbytearraymatcher.h" "PREFIXPATH/QByteArrayMatcher"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qqueue.h" "PREFIXPATH/QQueue"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qbytearray.h" "PREFIXPATH/QByteArray"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qbytearray.h" "PREFIXPATH/QByteRef"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qalgorithms.h" "PREFIXPATH/QtAlgorithms"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qvarlengtharray.h" "PREFIXPATH/QVarLengthArray"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qshareddata.h" "PREFIXPATH/QSharedData"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qshareddata.h" "PREFIXPATH/QExplicitlySharedDataPointer"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qshareddata.h" "PREFIXPATH/QSharedDataPointer"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qlocale.h" "PREFIXPATH/QLocale"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstack.h" "PREFIXPATH/QStack"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qmap.h" "PREFIXPATH/QMapData"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qmap.h" "PREFIXPATH/QMap"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qmap.h" "PREFIXPATH/QMultiMap"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qdatetime.h" "PREFIXPATH/QDate"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qdatetime.h" "PREFIXPATH/QTime"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qdatetime.h" "PREFIXPATH/QDateTime"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstring.h" "PREFIXPATH/QString"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstring.h" "PREFIXPATH/QLatin1String"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstring.h" "PREFIXPATH/QCharRef"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qstring.h" "PREFIXPATH/QConstString"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qregexp.h" "PREFIXPATH/QRegExp"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qchar.h" "PREFIXPATH/QLatin1Char"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qchar.h" "PREFIXPATH/QChar"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qhash.h" "PREFIXPATH/QHashData"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qhash.h" "PREFIXPATH/QHashNode"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qhash.h" "PREFIXPATH/QHash"") \
  $$quote("\n\t-$(INSTALL_FILE) "tools/qhash.h" "PREFIXPATH/QMultiHash"") \
  $$quote("\n\t-$(INSTALL_FILE) "codecs/qtextcodecfactory.h" "PREFIXPATH/QTextCodecFactory"") \
  $$quote("\n\t-$(INSTALL_FILE) "codecs/qtextcodecplugin.h" "PREFIXPATH/QTextCodecFactoryInterface"") \
  $$quote("\n\t-$(INSTALL_FILE) "codecs/qjpunicode.h" "PREFIXPATH/QJpUnicodeConv"") \
  $$quote("\n\t-$(INSTALL_FILE) "codecs/qtextcodec.h" "PREFIXPATH/QTextEncoder"") \
  $$quote("\n\t-$(INSTALL_FILE) "codecs/qtextcodec.h" "PREFIXPATH/QTextDecoder"") \
  $$quote("\n\t-$(INSTALL_FILE) "codecs/qtextcodec.h" "PREFIXPATH/QTextCodec"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QtGlobal"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_INT8"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_UINT8"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_INT16"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_UINT16"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_INT32"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_UINT32"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_LONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_ULONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_LONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_ULONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_INT64"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_UINT64"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_INT64"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_UINT64"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_LONGLONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_ULONGLONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_LLONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/Q_ULLONG"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QNoImplicitBoolCast"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QSysInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QtMsgHandler"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QGlobalStatic"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QBool"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QTypeInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QTypeInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QTypeInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QFlag"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QFlags"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QForeachMemory"") \
  $$quote("\n\t-$(INSTALL_FILE) "global/qglobal.h" "PREFIXPATH/QForeachMemory"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qtranslator.h" "PREFIXPATH/QTranslatorMessage"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qtranslator.h" "PREFIXPATH/QTranslator"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignal.h" "PREFIXPATH/QSignalEmitter"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignal.h" "PREFIXPATH/QSignal"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignal.h" "PREFIXPATH/QSignal"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignal.h" "PREFIXPATH/QGenericArgument"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignal.h" "PREFIXPATH/QGenericReturnArgument"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignal.h" "PREFIXPATH/QArgument"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignal.h" "PREFIXPATH/QReturnArgument"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qeventloop.h" "PREFIXPATH/QEventLoop"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcoreapplication.h" "PREFIXPATH/QCoreApplication"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcoreapplication.h" "PREFIXPATH/QtCleanUpFunction"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qprocess.h" "PREFIXPATH/QProcess"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsignalmapper.h" "PREFIXPATH/QSignalMapper"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qobjectcleanuphandler.h" "PREFIXPATH/QObjectCleanupHandler"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qbasictimer.h" "PREFIXPATH/QBasicTimer"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qsocketnotifier.h" "PREFIXPATH/QSocketNotifier"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qobject.h" "PREFIXPATH/QObjectList"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qobject.h" "PREFIXPATH/QObjectData"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qobject.h" "PREFIXPATH/QObject"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qobject.h" "PREFIXPATH/QObjectUserData"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qtimer.h" "PREFIXPATH/QTimer"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qmetatype.h" "PREFIXPATH/QMetaType"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcorevariant.h" "PREFIXPATH/QCoreVariant"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcorevariant.h" "PREFIXPATH/QCoreVariantList"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcorevariant.h" "PREFIXPATH/QCoreVariantMap"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qpointer.h" "PREFIXPATH/QPointer"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qmetaobject.h" "PREFIXPATH/QMetaMember"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qmetaobject.h" "PREFIXPATH/QMetaEnum"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qmetaobject.h" "PREFIXPATH/QMetaProperty"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qmetaobject.h" "PREFIXPATH/QMetaClassInfo"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcoreevent.h" "PREFIXPATH/QEvent"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcoreevent.h" "PREFIXPATH/QTimerEvent"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcoreevent.h" "PREFIXPATH/QChildEvent"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qcoreevent.h" "PREFIXPATH/QCustomEvent"") \
  $$quote("\n\t-$(INSTALL_FILE) "kernel/qobjectdefs.h" "PREFIXPATH/QMetaObject"") \
  $$quote("\n\t-$(INSTALL_FILE) "plugin/qpluginloader.h" "PREFIXPATH/QPluginLoader"") \
  $$quote("\n\t-$(INSTALL_FILE) "plugin/quuid.h" "PREFIXPATH/QUuid"") \
  $$quote("\n\t-$(INSTALL_FILE) "plugin/qlibrary.h" "PREFIXPATH/QLibrary"") \
  $$quote("\n\t-$(INSTALL_FILE) "plugin/qfactoryinterface.h" "PREFIXPATH/QFactoryInterface"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qsemaphore.h" "PREFIXPATH/QSemaphore"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qthreadstorage.h" "PREFIXPATH/QThreadStorageData"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qthreadstorage.h" "PREFIXPATH/QThreadStorage"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qwaitcondition.h" "PREFIXPATH/QWaitCondition"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qthread.h" "PREFIXPATH/QThread"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qmutex.h" "PREFIXPATH/QMutex"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qmutex.h" "PREFIXPATH/QMutexLocker"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qmutex.h" "PREFIXPATH/QMutex"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qmutex.h" "PREFIXPATH/QMutexLocker"") \
  $$quote("\n\t-$(INSTALL_FILE) "thread/qatomic.h" "PREFIXPATH/QAtomic"")
